<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>GardenPatchGenerator (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GardenPatchGenerator (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":9,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/generator/ForestGenerator.html" title="class in com.sk89q.worldedit.function.generator"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/generator/GardenPatchGenerator.html" target="_top">Frames</a></li>
<li><a href="GardenPatchGenerator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.generator</div>
<h2 title="Class GardenPatchGenerator" class="title">Class GardenPatchGenerator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.generator.GardenPatchGenerator</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GardenPatchGenerator</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a></pre>
<div class="block">Generates patches of fruit (i.e. pumpkin patches).</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/generator/GardenPatchGenerator.html#GardenPatchGenerator-com.sk89q.worldedit.EditSession-">GardenPatchGenerator</a></span>(<a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/generator/GardenPatchGenerator.html#apply-com.sk89q.worldedit.math.BlockVector3-">apply</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Apply the function to the given position.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/generator/GardenPatchGenerator.html#getAffected--">getAffected</a></span>()</code>
<div class="block">Get the number of affected blocks.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/generator/GardenPatchGenerator.html#getMelonPattern--">getMelonPattern</a></span>()</code>
<div class="block">Get a pattern that creates melons.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/generator/GardenPatchGenerator.html#getPlant--">getPlant</a></span>()</code>
<div class="block">Get the plant pattern that is placed.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/generator/GardenPatchGenerator.html#getPumpkinPattern--">getPumpkinPattern</a></span>()</code>
<div class="block">Get a pattern that creates pumpkins with different faces.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/generator/GardenPatchGenerator.html#setPlant-com.sk89q.worldedit.function.pattern.Pattern-">setPlant</a></span>(<a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;plant)</code>
<div class="block">Set the plant pattern that is placed.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GardenPatchGenerator-com.sk89q.worldedit.EditSession-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GardenPatchGenerator</h4>
<pre>public&nbsp;GardenPatchGenerator(<a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editSession</code> - the edit session</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPlant--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlant</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;getPlant()</pre>
<div class="block">Get the plant pattern that is placed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the plant pattern</dd>
</dl>
</li>
</ul>
<a name="setPlant-com.sk89q.worldedit.function.pattern.Pattern-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlant</h4>
<pre>public&nbsp;void&nbsp;setPlant(<a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;plant)</pre>
<div class="block">Set the plant pattern that is placed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>plant</code> - the plant pattern</dd>
</dl>
</li>
</ul>
<a name="getAffected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAffected</h4>
<pre>public&nbsp;int&nbsp;getAffected()</pre>
<div class="block">Get the number of affected blocks.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>affected count</dd>
</dl>
</li>
</ul>
<a name="apply-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>apply</h4>
<pre>public&nbsp;boolean&nbsp;apply(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)
              throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html#apply-com.sk89q.worldedit.math.BlockVector3-">RegionFunction</a></code></span></div>
<div class="block">Apply the function to the given position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html#apply-com.sk89q.worldedit.math.BlockVector3-">apply</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if something was changed</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - thrown on an error</dd>
</dl>
</li>
</ul>
<a name="getPumpkinPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPumpkinPattern</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;getPumpkinPattern()</pre>
<div class="block">Get a pattern that creates pumpkins with different faces.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a pumpkin pattern</dd>
</dl>
</li>
</ul>
<a name="getMelonPattern--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMelonPattern</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;getMelonPattern()</pre>
<div class="block">Get a pattern that creates melons.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a melon pattern</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/generator/ForestGenerator.html" title="class in com.sk89q.worldedit.function.generator"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/generator/GardenPatchGenerator.html" target="_top">Frames</a></li>
<li><a href="GardenPatchGenerator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
